## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.1
%bcond_without check
%global debug_package %{nil}

# https://github.com/hashicorp/consul
%global goipath         github.com/hashicorp/consul
Version:                1.14.4

%gometa -f

%global godevelheader %{expand:
Provides:               golang-github-hashicorp-consul-api-devel = %{version}-%{release}
Obsoletes:              golang-github-hashicorp-consul-api-devel < 1.9.1-8
Provides:               golang-github-hashicorp-consul-sdk-devel = %{version}-%{release}
Obsoletes:              golang-github-hashicorp-consul-sdk-devel < 0.7.0-6
}

%global common_description %{expand:
Consul is a tool for service discovery and configuration. Consul is distributed,
highly available, and extremely scalable.

Consul provides several key features:
 - Service Discovery - Consul makes it simple for services to register
   themselves and to discover other services via a DNS or HTTP interface.
   External services such as SaaS providers can be registered as well.
 - Health Checking - Health Checking enables Consul to quickly alert operators
   about any issues in a cluster. The integration with service discovery
   prevents routing traffic to unhealthy hosts and enables service level circuit
   breakers.
 - Key/Value Storage - A flexible key/value store enables storing dynamic
   configuration, feature flagging, coordination, leader election and more. The
   simple HTTP API makes it easy to use anywhere.
 - Multi-Datacenter - Consul is built to be datacenter aware, and can support
   any number of regions without complex configuration.
 - Service Segmentation - Consul Connect enables secure service-to-service
   communication with automatic TLS encryption and identity-based
   authorization.}

%global golicenses      LICENSE NOTICE.md
%global godocs          docs CHANGELOG.md INTERNALS.md README.md README-api.md README-sdk.md

Name:           %{goname}
Release:        %autorelease
Summary:        Distributed, highly available, and data center aware solution
License:        MIT and MPL-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
find ./* -maxdepth 0 -type d -not -name "api" -and -not -name "sdk" -and -not -name "_build" -exec rm -rf "{}" \;
rm -rf ./*.go
mv api/README.md README-api.md
mv sdk/README.md README-sdk.md

%generate_buildrequires
%go_generate_buildrequires

# %%build
# %%gobuild -o %%{gobuilddir}/bin/consul %%{goipath}

%install
%gopkginstall
# install -m 0755 -vd                     %%{buildroot}%%{_bindir}
# install -m 0755 -vp %%{gobuilddir}/bin/* %%{buildroot}%%{_bindir}/

%if %{with check}
%check
# needs consul
%gocheck -t api
%endif

# %%files
# %%license LICENSE NOTICE.md
# %%doc docs CHANGELOG.md INTERNALS.md README.md
# %%{_bindir}/*

%gopkgfiles

%changelog
* Wed Feb 01 2023 Sérgio M. Basto <sergio@serjux.com> - 1.14.4-1
- Update to 1.14.4

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 31 2022 Sérgio M. Basto <sergio@serjux.com> - 1.14.3-1
- 1.14.3

* Tue Oct 04 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.11.10-1
- Initial import
